classification
Title: Create a built-in yaml module
Type: enhancement Stage: resolved
Components: Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: TheOneTheOnlyJJ, jarpri08, terry.reedy, xtreak
Priority: normal Keywords:

Created on 2021-07-18 21:33 by jarpri08, last changed 2021-07-23 21:02 by terry.reedy. This issue is now closed.

Messages (5)
msg397761 - (view) Author: Jarrod Price (jarpri08) Date: 2021-07-18 21:33
Would it be possible for someone to take the time to create a built-in yaml module based on the current spec (v1.2) ?

https://yaml.org/spec/1.2/spec.html

Just like how we can do `import json`, there is currently no `import yaml`.

I myself (and I assume others too) would much prefer to be able to create/save/load/edit yaml as if it were a dictionary.

I am one of those guys that don’t really like to install external modules and I much prefer to just use the batteries included modules.
msg397936 - (view) Author: Jurj Andrei George (TheOneTheOnlyJJ) Date: 2021-07-21 09:18
I would also like to have yaml in the stdlib.

I reckon it would make sense to at least discuss yaml given that toml is on its way in the stdlib.

By the time a toml parser gets added, yaml will be the only major data serialization language to not be included in the stdlib.
msg397939 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2021-07-21 11:45
There was some discussion in 2013 : https://mail.python.org/archives/list/python-ideas@python.org/thread/Y3Y5T54S2RSR6QW3HSEQV77EZPP7PWCX/#7H72ZRMSX74453GGURV26242UYM75VOW . This has to go through python-ideas and probably might need a PEP. There is also a request to add toml https://bugs.python.org/issue40059
msg397966 - (view) Author: Jarrod Price (jarpri08) Date: 2021-07-21 23:08
Could you please assist me with creating a PEP? I’ve not done it before and I’m not sure where to begin.
msg398095 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2021-07-23 21:02
The current status of this idea is that it has been rejected.  Please read the previous discussion(s) and consider the arguments against.  If you then still want this idea reconsidered, please post to the python-ideas list explaining why you think the rejection is wrong, or what you think has changed.  Please do not simply repeat the previous arguments.
History
Date User Action Args
2021-07-23 21:02:20terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg398095

resolution: rejected
stage: resolved
2021-07-21 23:08:12jarpri08setmessages: + msg397966
2021-07-21 11:45:02xtreaksetnosy: + xtreak
messages: + msg397939
2021-07-21 09:18:15TheOneTheOnlyJJsetnosy: + TheOneTheOnlyJJ
messages: + msg397936
2021-07-18 21:33:48jarpri08create